Bug 67247 - Check AudioContext createChannelMerger() for thread safety
Summary: Check AudioContext createChannelMerger() for thread safety
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Rogers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-30 17:11 PDT by Chris Rogers
Modified: 2011-09-08 12:22 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.82 KB, patch)
2011-08-30 17:12 PDT, Chris Rogers
no flags Details | Formatted Diff | Diff
Patch (9.02 KB, patch)
2011-09-07 14:58 PDT, Chris Rogers
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rogers 2011-08-30 17:11:06 PDT
Remove AudioContext createChannelMerger() for now
Comment 1 Chris Rogers 2011-08-30 17:12:56 PDT
Created attachment 105722 [details]
Patch
Comment 2 Philippe Normand 2011-09-02 03:13:09 PDT
Out of curiosity what's the issue?
Comment 3 Eric Seidel (no email) 2011-09-06 15:43:42 PDT
Comment on attachment 105722 [details]
Patch

Cleared review? from attachment 105722 [details] so that this bug does not appear in http://webkit.org/pending-review.  If you would like this patch reviewed, please attach it to a new bug (or re-open this bug before marking it for review again).
Comment 4 Chris Rogers 2011-09-06 15:59:46 PDT
About to upload a new patch to address the original problem where an AudioNodeOutput's channel count was changed at the wrong time.
Comment 5 Chris Rogers 2011-09-07 14:58:01 PDT
Created attachment 106649 [details]
Patch
Comment 6 Kenneth Russell 2011-09-07 20:25:31 PDT
Comment on attachment 106649 [details]
Patch

Looks good.
Comment 7 WebKit Review Bot 2011-09-08 12:22:06 PDT
Comment on attachment 106649 [details]
Patch

Clearing flags on attachment: 106649

Committed r94780: <http://trac.webkit.org/changeset/94780>
Comment 8 WebKit Review Bot 2011-09-08 12:22:10 PDT
All reviewed patches have been landed.  Closing bug.